#!/bin/bash
# use to create cgroup for datop process.

dir=/sys/fs/cgroup/cpuset/datop/datop.service
if [ ! -d "$dir" ]; then
    mkdir -p /sys/fs/cgroup/cpuset/datop.service
    mkdir -p /sys/fs/cgroup/memory/datop.service
    echo 300 > /sys/fs/cgroup/cpuset/datop.service/cpu.shares
    echo 5000 > /sys/fs/cgroup/cpu/datop.service/cpu.cfs_quota_us
    echo 104857600 > /sys/fs/cgroup/memory/datop.service/memory.limit_in_bytes
fi

if [ ! -s /sys/fs/cgroup/cpuset/datop.service/cpuset.cpus ]; then
    /bin/cp -f /sys/fs/cgroup/cpuset/cpuset.cpus /sys/fs/cgroup/cpuset/datop.service/cpuset.cpus
fi

if [ ! -s /sys/fs/cgroup/cpuset/datop/cpuset.mems ]; then
    /bin/cp -f /sys/fs/cgroup/cpuset/cpuset.mems /sys/fs/cgroup/cpuset/datop/service/cpuset.mems
fi

/bin/cp -f /sys/fs/cgroup/cpuset/cpuset.cpus /sys/fs/cgroup/cpuset/datop.service/cpuset.cpus
/bin/cp -f /sys/fs/cgroup/cpuset/cpuset.mems /sys/fs/cgroup/cpuset/datop.service/cpuset.mems
echo "$(pidof datop_cgroup)" > /sys/fs/cgroup/cpuset/datop.service/cgroup.procs
